CPAN::Changes::Release(3)

NAME
CPAN::Changes::Release - A release in a CPAN Changes file

SYNOPSIS
  my $release = CPAN::Changes::Release->new(
    version => '0.01',
    date    => '2015-07-20',
  );

  $release->add_entry('This is a change');

DESCRIPTION
A changelog is made up of one or more releases. This object provides access to all of the key data that embodies a release including the version number, date of release, and all of the changelog information lines.

ATTRIBUTES

  version
The version number of the release.

  date
The date for the release.

  note
The note attached to the release.

  entries
An array ref of entries in the release.

  line
The line number that the release starts at.

METHODS

  serialize
Returns the changes entry for the release in string form.

  clone
Returns a new release object with the same data. Can be given any attributes to set them differently in the new object.

  has_entries
Returns true if there are changes entries in this release.

  find_entry
Accepts a string or a regex, returns a matching entry object.

  add_entry
Adds a changes entry. Accepts a changes entry object or a string.

  remove_entry
Given a string or a changes entry object, removes the entry from the release.

LEGACY METHODS

  changes

  add_changes

  set_changes

  clear_changes

  groups

  add_group

  delete_group

  delete_empty_groups

  get_group

  attach_group

  group_values

SEE ALSO

•   CPAN::Changes

AUTHORS
See CPAN::Changes for authors.

COPYRIGHT AND LICENSE
See CPAN::Changes for the copyright and license.